function cInfo = calc_contactInfo(t,vXin, vParam)

xout = zeros(24,1);

xout = xDotMex_ControlledDisk(t,vXin,vParam,[0 0 0 0 0 0]');

cInfo.r = xout(13:15);
cInfo.f = xout(16:18);
cInfo.v = xout(19:21);
cInfo.extra = xout(22:24);

